Subject: [Syslog] syslog RFCs

From: Chris Lonvick <[email-masked]>
Date: Tue, 10 Mar 2009 12:04:09 -0700 (PDT)

Hi Folks,

Congratulations to all of us.  We now have published RFCs on syslog and 
two transports.

RFC 5424 on The Syslog Protocol
RFC 5425 on Transport Layer Security (TLS) Transport Mapping for Syslog
RFC 5426 on Transmission of Syslog Messages over UDP

Many thanks to everyone in the Working Group and especially you authors 
and reviewers who have put in the time and effort to get this done.

:-)
Best regards,
Chris

---

From: "Anton Okmyanskiy (aokmians)" <[email-masked]>
Date: Tue, 10 Mar 2009 21:07:38 -0400

Congratulations to all!

It only took 5 years. ;)  But if this get adopted and sticks around for
20 years, it would be worth the effort. 

Rainer, thanks for carrying the bulk of the work load. 

Cheers,
Anton. 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Chris Lonvick (clonvick)
> Sent: Tuesday, March 10, 2009 12:04 PM
> To: [email-masked]
> Subject: [Syslog] syslog RFCs
> 
> Hi Folks,
> 
> Congratulations to all of us.  We now have published RFCs on 
> syslog and two transports.
> 
> RFC 5425 on Transport Layer Security (TLS) Transport Mapping 
> for Syslog RFC 5426 on Transmission of Syslog Messages over UDP
> 
> Many thanks to everyone in the Working Group and especially 
> you authors and reviewers who have put in the time and effort 
> to get this done.
> 
> :-)
> Best regards,
> Chris
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/syslog
>

---

From: "Rainer Gerhards" <[email-masked]>
Date: Wed, 11 Mar 2009 10:11:34 +0100

Thanks everyone,

I am very happy that we finally could publish. Also, we already have three
implementations, if I count correctly (in order of appearance):

- rsyslog
- BSD syslog (modified by Martin Schütte)
- syslog-ng

with a fourth one (MonitorWare on Windows) coming up.

Some new drafts also build on the foundation we have laid. I think this is
quite promising, maybe we manage to stay 20 years in business ;)

I also doubt if I had the bulk of work load, there were many excellent
contributions! A special thanks to everyone who helped.

Rainer

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Anton Okmyanskiy (aokmians)
> Sent: Wednesday, March 11, 2009 2:08 AM
> To: Chris Lonvick (clonvick); [email-masked]
> Subject: Re: [Syslog] syslog RFCs
> 
> Congratulations to all!
>

---

From: "David Harrington" <[email-masked]>
Date: Fri, 13 Mar 2009 15:26:09 -0500

Hi,

If the implementers are willing to file a report on their
implementation, we can advance the documents to Draft Standard.
The reports need to identify whether the implementations support each
portion of the relevant specifications - the header format, the SDEs,
the various security mechanisms, etc. 

If you are an implemneter willing to file a report, let me know and I
will help explain the process to be followed.

If you are a deployer, and willing to file a report of your deployment
experience for these standards, we may be able to advance the drafts
to Full Standard.

dbh

> [mailto:[email-masked]] On Behalf Of Rainer Gerhards
> Sent: Wednesday, March 11, 2009 4:12 AM
> To: Anton Okmyanskiy (aokmians)
> Cc: [email-masked]

---

From: Balazs Scheidler <[email-masked]>
Date: Mon, 16 Mar 2009 21:29:35 +0100

> experience for these standards, we may be able to advance the drafts

I might be interested with syslog-ng. Can you point me to the right
direction how such a report is written and submitted?

-- 
Bazsi

---

From: "David Harrington" <[email-masked]>
Date: Tue, 17 Mar 2009 15:11:53 -0400

Hi,

An implementation report needs to list the features in the standard,
and those that have been implemented by the specific implementation. I
suppose we should try to organize an interoperability test.

I will put together a list of features for each of the RFCs, and post
a report template to the list. 

Sample implementation reports can be found at
http://www.ietf.org/IESG/implementation.html

dbh

> From: Balazs Scheidler [mailto:[email-masked]] 
> Sent: Monday, March 16, 2009 4:30 PM
> To: David Harrington
> Cc: 'Rainer Gerhards'; 'Anton Okmyanskiy (aokmians)';
[email-masked]